<template>
	<div id="welcome">
		<div class="mt-5">
			<div class="container">
				<div class="row">
					<div class="col-lg-6 col-md-12 col-sm-12">
						<h1 class="mt-5 mb-3">Appartamento</h1>
						<h5 class="my-2">Bienvenido a la familia.</h5>
						<p class="my-2 text-muted">Ahorra dinero, lleva el control de tus gastos, aporta nuevas reglas, crea decisiones y sobre todo, <br>¡Mejora la conviviencia con tus compañeros de piso!</p>
					</div>
					<div class="col-lg-6 col-md-12 col-sm-12 text-right">
						<img src="@/assets/mirage-teamwork.png" width="400px;">
					</div>
				</div>
			</div>			
		</div>
	</div>
</template>

<script>
	import { mapState, mapGetters } from 'vuex'
	import { RTDB } from "../main.js";
	export default {
		computed:{
    		...mapGetters(['getCodeFamily']),
  		},
		name: "Welcome",
		components: {},
		data() {
			return {
			};
		},
		methods: {
		},
		mounted(){
			let all = this;
			const axios = require('axios').default;
			axios.get("http://localhost:55275/AppartamentoService.svc/GetUsersOfFamilyAsync/"+this.getCodeFamily).then(function (response){
			var result = response.data.split(",");
			var cont=0;
			result.forEach(element => {
				cont++;
			});
			all.$store.dispatch('setNoMembers',cont);
		});
		}
	}
</script>
<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h1 {
	color: #009A9A;
	font-family: 'Nunito', sans-serif;
	letter-spacing: 2px;
	font-size: 3.5em;
}
h5 {
	color: #45b5b5;
	font-weight: bold;
}
p {
	line-height: 30px;
}
</style>